net.sf.jasperreports.crosstabs.fill

## Class BucketExpressionOrderer

- java.lang.Object
- - net.sf.jasperreports.crosstabs.fill.BucketExpressionOrderer

- All Implemented Interfaces:
    BucketOrderer

      public class BucketExpressionOrderer
      extends java.lang.Object
      implements BucketOrderer

  Version:
    $Id: BucketExpressionOrderer.java 6417 2013-08-27 12:12:28Z lucianc $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BucketExpressionOrderer(JRExpression orderByExpression, java.util.Comparator<java.lang.Object> orderValueComparator)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareOrderValues(java.lang.Object value1, java.lang.Object value2)`
    `java.lang.Object` | `getOrderValue(BucketingService.BucketMap bucketMap, BucketDefinition.Bucket bucketValue)`
    `void` | `init(BucketingData bucketingData)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BucketExpressionOrderer

          public BucketExpressionOrderer(JRExpression orderByExpression,
                                 java.util.Comparator<java.lang.Object> orderValueComparator)

  - ### Method Detail

    - #### init

          public void init(BucketingData bucketingData)

      Specified by:
        `init` in interface `BucketOrderer`

    - #### getOrderValue

          public java.lang.Object getOrderValue(BucketingService.BucketMap bucketMap,
                                       BucketDefinition.Bucket bucketValue)
                                         throws JRException

      Specified by:
        `getOrderValue` in interface `BucketOrderer`
      Throws:
        `JRException`

    - #### compareOrderValues

          public int compareOrderValues(java.lang.Object value1,
                               java.lang.Object value2)

      Specified by:
        `compareOrderValues` in interface `BucketOrderer`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com